(in-package #:asdf-status)

(defparameter *working-directory* "user-home:temporary;asdf-test;")

(defparameter *output-directory* 
  (make-pathname :directory `(,@(pathname-directory *working-directory*)
                              "output")
                 :defaults *working-directory*))
  
(defparameter *input-directory* 
  (make-pathname :directory `(,@(pathname-directory *working-directory*)
                              "input")
                 :defaults *working-directory*))

(defparameter *data-directory* 
  (make-pathname :directory `(,@(pathname-directory *working-directory*)
                              "data")
                 :defaults *working-directory*))

(defparameter *error-directory* 
  (make-pathname :directory `(,@(pathname-directory *working-directory*)
                              "parse-errors")
                 :defaults *working-directory*))

(defparameter *save-directory* 
  (make-pathname :directory `(,@(pathname-directory *working-directory*)
                              "save-data")
                 :defaults *working-directory*))

(defparameter *asdf-systems* nil)

(defvar *current-implementation* nil)

(defvar *current-system* nil)

